unit Input;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TInputForm = class(TForm)
    EditInput: TEdit;
    BtnOk: TButton;
    BtnCancel: TButton;
    LabelNotice: TLabel;
    procedure BtnCancelClick(Sender: TObject);
    procedure BtnOkClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  InputForm: TInputForm;

implementation

{$R *.dfm}

procedure TInputForm.BtnCancelClick(Sender: TObject);
begin
  Close;
  EditInput.Text:='';
end;

procedure TInputForm.BtnOkClick(Sender: TObject);
var
  StrName:PAnsiChar;
begin
  if(Editinput.Text='') then
  begin
    LabelNotice.Caption:='JରšI';
    EditInput.SetFocus;
    exit;
  end;
  StrName:=PAnsiChar(EditInput.Text);
  if(Self.Caption<>'oe') then
  begin
    if(StrPos(StrName,'\')<>nil) or (StrPos(StrName,'/')<>nil) or
      (StrPos(StrName,':')<>nil) or (StrPos(StrName,'*')<>nil) or
      (StrPos(StrName,'?')<>nil) or (StrPos(StrName,'"')<>nil) or
      (StrPos(StrName,'<')<>nil) or (StrPos(StrName,'>')<>nil) or
      (StrPos(StrName,'|')<>nil) then
    begin
      LabelNotice.Caption:='JrŦꤣtHUršG\  /  :  *  ?  "  <  >  |';
      EditInput.SetFocus;
      exit;
    end;
  end
  else if(StrPos(StrName,'|')<>nil) then
  begin
    LabelNotice.Caption:='JrŦꤣtHUrG|';
    EditInput.SetFocus;
    exit;
  end;
  Close;
end;

end.
